## net.dontdrinkandroot.lastfm.api.ws
Class LastfmResponse

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.ws.LastfmResponse

All Implemented Interfaces:
  java.io.Serializable

    public class LastfmResponse

extends java.lang.Object
implements java.io.Serializable

Encapsulates the last.fm response, this means the deserialized Xml Document and the Expiration as returned by the HTTP header.

Author:
  Philip W. Sorst
See Also:
  Serialized Form

Constructor Summary
`LastfmResponse(org.w3c.dom.Document doc, java.lang.Long expiration)`

Method Summary
`org.w3c.dom.Document` `getDocument()`
`java.lang.Long` `getExpiration()`
`void` `setDocument(org.w3c.dom.Document doc)`
`void` `setExpiration(java.lang.Long expiration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LastfmResponse

    public LastfmResponse(org.w3c.dom.Document doc,
                          java.lang.Long expiration)

Method Detail

### getDocument

    public final org.w3c.dom.Document getDocument()

### setDocument

    public final void setDocument(org.w3c.dom.Document doc)

### getExpiration

    public final java.lang.Long getExpiration()

### setExpiration

    public final void setExpiration(java.lang.Long expiration)

Copyright © 2012. All Rights Reserved.